## Generated Makefile for Linux / GNU gcc

    #############################################################################
    # Makefile for building hello
    # Generated by tmake at 10:11, 1998/07/07
    #     Project: hello
    #    Template: app
    #############################################################################

    ####### Compiler, tools and options

    CC	=	g++
    CFLAGS	=	-Wall -W -O2 -fno-strength-reduce
    INCPATH	=	-I$(QTDIR)/include
    LINK	=	g++
    LFLAGS	=
    LIBS	=	-L$(QTDIR)/lib -lqt -L/usr/X11R6/lib -lX11
    MOC	=	moc

    ####### Files

    HEADERS =	hello.h
    SOURCES =	hello.cpp \
    		main.cpp
    OBJECTS =	hello.o \
    		main.o
    SRCMOC	=	moc_hello.cpp
    OBJMOC	=	moc_hello.o
    TARGET	=	hello

    ####### Implicit rules

    .SUFFIXES: .cpp .cxx .cc .C .c

    .cpp.o:
    	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

    .cxx.o:
    	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

    .cc.o:
    	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

    .C.o:
    	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

    .c.o:
    	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

    ####### Build rules

    all: $(TARGET)

    $(TARGET): $(OBJECTS) $(OBJMOC)
    	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

    moc: $(SRCMOC)

    tmake:
    	tmake hello.pro

    clean:
    	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
    	-rm -f *~ core

    ####### Compile

    hello.o: hello.cpp \
    		hello.h

    main.o: main.cpp \
    		hello.h

    moc_hello.o: moc_hello.cpp \
    		hello.h

    moc_hello.cpp: hello.h
    	$(MOC) hello.h -o moc_hello.cpp